
/**************************************************************************
**
** Copyright (C) EMC Corporation 2001, All rights reserved.
**
** FILE NAME: FSInfoFile.h
**
** DESCRIPTION: This is header file to define the class:
**              CFSInfoFile
**
**              This class mainly handle reading and writing file system
**              information file.
**              
**
** AUTHOR: Yubing Wang       Mar-04-2001
**
** REVISION HISTORY:
** 
**  Who         Date       Description of Change
** ---------------------------------------------------------------------
**
** (This is only for the major code change that does not include bug fixes.
** Comments for bug fixes should be placed directly where the bugs are.)
**
****************************************************************************
**
**
**  CLASS LIST:
**      CFSInfoFile
**
**
****************************************************************************/

#ifndef _FSINFOFILE_H_
#define _FSINFOFILE_H_

#include "Common.h"
#include "NetXDT.h"

class CFSInfoFile
{
public:
    static BOOL ReadFileSysInfo(char *dir, int id, CNet_FsInfo *net_fsinfo);
    static BOOL WriteFileSysInfo(char *dir, int id, CNet_FsInfo *net_fsinfo);
};

#endif
